Subject: Re: 23.0.60; minibuffer-completion-help incomplete

From: Chong Yidong <[email-masked]>
Date: Sat, 08 Nov 2008 11:57:14 -0500

> 1. emacs -Q
> 2. Let some directory contain the files "tested" and "Testing" and no
> other
>    files beginning with "test" or "Test".
> 3. M-x set-variable RET read-file-name-completion-ignore-case RET t RET
> 4. C-x C-f <directory/in/step/2>/test
> 5. Now type TAB or "?" and a *Completions* buffer pops that shows only
>    "tested" as a possible completion.  However, typing "i" next and then
>    TAB does complete to "Testing".
>
> The following patch makes the *Completions* buffer show all possible
> completions in step 5 also with the default completion-style basic, but
> I don't know if it has undesirable consequences elsewhere.

The bug was actually in the C code: file-name-all-completions did not
handle completion-regexp-list properly.  I've checked in a fix.  Thanks
for the bug report.